com.amazonaws.services.simpleworkflow

## Class AmazonSimpleWorkflowClientConfigurationFactory

- java.lang.Object
- - com.amazonaws.ClientConfigurationFactory
  - - com.amazonaws.services.simpleworkflow.AmazonSimpleWorkflowClientConfigurationFactory

    public class AmazonSimpleWorkflowClientConfigurationFactory
    extends ClientConfigurationFactory

### Constructor Summary

Constructors
Constructor and Description
`AmazonSimpleWorkflowClientConfigurationFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected ClientConfiguration` `getDefaultConfig()`

### Methods inherited from class com.amazonaws.ClientConfigurationFactory

`getConfig, getInRegionOptimizedConfig`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AmazonSimpleWorkflowClientConfigurationFactory

    public AmazonSimpleWorkflowClientConfigurationFactory()

### Method Detail

#### getDefaultConfig

    protected ClientConfiguration getDefaultConfig()

Overrides:
  `getDefaultConfig` in class `ClientConfigurationFactory`